Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.security.acl
Class WorldGroup

    java.lang.Object
      de.jsystems.framework.security.acl.BaseGroup
          de.jsystems.framework.security.acl.WorldGroup

All Implemented Interfaces:
  Group, Principal

public class WorldGroup
extends BaseGroup

Legt eine allgemeine Gruppe an, der automatisch alle Principals (User oder Gruppe) angehören. Für diese Gruppe braucht die Methode addMember() nicht aufgerufen werden da automatisch alle Principals zu dieser Gruppe gehoeren.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`WorldGroup(String name)` Legt eine WorldGroup mit dem uebergebenen Namen an.

Method Summary
`boolean` | `isMember(Principal member)` Gibt immer true zurück, da zu dieser Gruppe generell alle Principals gehören.

Methods inherited from class de.jsystems.framework.security.acl.BaseGroup
`addMember, equals, getName, hashCode, isMemberRecurse, members, removeMember, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorldGroup

    public WorldGroup(String name)

  Legt eine WorldGroup mit dem uebergebenen Namen an.

Parameters:
  `name` - Der Name der Gruppe.

Method Detail

### isMember

    public boolean isMember(Principal member)

  Gibt immer true zurück, da zu dieser Gruppe generell alle Principals gehören.

  Specified by:
    `isMember` in interface `Group`
  Overrides:
    `isMember` in class `BaseGroup`
  Parameters:
    `member` - Das Principal, das auf Mitgliedschaft in der Gruppe geprueft werden soll.
  Returns:
    Immer `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD